Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.portlet
Class JuzuPortlet

    java.lang.Object
      juzu.portlet.JuzuPortlet

All Implemented Interfaces:
  Portlet, ResourceServingPortlet

    public class JuzuPortlet

extends Object
implements Portlet, ResourceServingPortlet

Author:
  Julien Viet

Nested Class Summary
`static class` | `JuzuPortlet.PORTLET_MODE` .
`static class` | `JuzuPortlet.WINDOW_STATE` .

Field Summary
`static JuzuPortlet.PORTLET_MODE` | `PORTLET_MODE` .
`static JuzuPortlet.WINDOW_STATE` | `WINDOW_STATE` .

Constructor Summary
`JuzuPortlet()`

Method Summary
`void` | `destroy()`
`void` | `init(PortletConfig config)`
`void` | `processAction(ActionRequest request, ActionResponse response)`
`void` | `render(RenderRequest request, RenderResponse response)`
`void` | `serveResource(ResourceRequest request, ResourceResponse response)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_MODE

    public static final JuzuPortlet.PORTLET_MODE PORTLET_MODE

  .

### WINDOW_STATE

    public static final JuzuPortlet.WINDOW_STATE WINDOW_STATE

  .

Constructor Detail

### JuzuPortlet

    public JuzuPortlet()

Method Detail

### init

    public void init(PortletConfig config)
              throws PortletException

  Specified by:
    `init` in interface `Portlet`
  Throws:
    `PortletException`

### processAction

    public void processAction(ActionRequest request,
                              ActionResponse response)
                       throws PortletException,
                              IOException

  Specified by:
    `processAction` in interface `Portlet`
  Throws:
    `PortletException`
    `IOException`

### render

    public void render(RenderRequest request,
                       RenderResponse response)
                throws PortletException,
                       IOException

  Specified by:
    `render` in interface `Portlet`
  Throws:
    `PortletException`
    `IOException`

### serveResource

    public void serveResource(ResourceRequest request,
                              ResourceResponse response)
                       throws PortletException,
                              IOException

  Specified by:
    `serveResource` in interface `ResourceServingPortlet`
  Throws:
    `PortletException`
    `IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Portlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.